### Constructor

# Ide TerminalLauncher new_for_launcher

#### Declaration

    IdeTerminalLauncher*
    ide_terminal_launcher_new_for_launcher (
      IdeSubprocessLauncher* launcher
    )

#### Description

Creates a new `IdeTerminalLauncher` that can be used to launch a process using the provided `IdeSubprocessLauncher`.

Available since: | 3.34

#### Parameters

`launcher` | `IdeSubprocessLauncher`
| An `IdeSubprocessLauncher`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeTerminalLauncher`
| An `IdeTerminalLauncher`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.